# CommonMark\Parser::__construct

(cmark >= 1.0.0)

CommonMark\Parser::__construct — Parsing

### Description

public CommonMark\Parser::__construct ([ int `$options` ] )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`options`

  A mask of:

  `CommonMark\Parser\Normal` (integer)
  `CommonMark\Parser\Normalize` (integer)
  `CommonMark\Parser\ValidateUTF8` (integer)
  `CommonMark\Parser\Smart` (integer)